LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Namespaces | Enumerations
socket_decl.hxx File Reference
`#include <osl/socket.h>`
`#include <rtl/ustring.hxx>`
`#include <rtl/byteseq.hxx>`

Go to the source code of this file.

## Classes
class | osl::SocketAddr
| The class should be understood as a reference to a socket address handle ( struct sockaddr ). More...
class | osl::Socket
class | osl::StreamSocket
class | osl::ConnectorSocket
class | osl::AcceptorSocket
| Allows to accept socket connections. More...
class | osl::DatagramSocket
| A connectionless socket to send and receive datagrams. More...

## Namespaces
| osl

## Enumerations
enum | osl::__osl_socket_NoCopy { osl::SAL_NO_COPY }